[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[RFR] templates://mediawiki1.7/{templates}



Please find, for review, the debconf templates and the debian/control
file of mediawiki1.7.

This review will last from Tuesday, March 27, 2007 to Friday, April 06, 2007.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

The part to review in debian/control are the package description(s).

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, the reviewed templates will be sent to the package maintainer
as a bug report, and a mail will be sent to this list with "[BTS]" as
a subject tag.

Note to mediawiki1.7 maintainer(s): this review is CC'ed to you so that
you can comment on the proposed changes before we propose the rewrite
in a bug report. Please note that these changes will be reviewed and
are therefore *not* the final version.

Please take care to send any comment to debian-l10n-english.


-- 



Template: mediawiki/webserver
Type: multiselect
Choices: apache, apache-ssl, apache2, cherokee
Default: apache2
_Description: Web server(s) to configure automatically:
 Please choose the web server(s) that should be configured
 automatically for MediaWiki.

Template: mediawiki/upgrade-1d5
Type: boolean
Default: true
_Description: Perform automatic upgrade from MediaWiki 1.5?
 MediaWiki will be upgraded from the 1.5 version.
 .
 The new package version uses /var/lib/mediawiki1.7 for the wiki
 database location.  The old database files need to be moved before
 performing the upgrade.
 .
 This operation can be done automatically: the database wille be
 backed up, upgraded, and a new configuration file will be prepared
 for the new wiki. This script can be launched now. Alternatively, you
 can use it later by launching, as root,
 /usr/share/mediawiki1.7/debian-scripts/upgrade-mediawiki1.5.

Template: mediawiki/upgrade-1d5-adminuser
Type: string
Default: root
_Description: Database user for MediaWiki 1.7:
 Please provide a MySQL account that has administrative access to the old
 MediaWiki 1.5 database.
 .
 When in doubt, the MySQL root account can be used.
 .
 An AdminSettings.php file will be generated unless the root account is
 specified.

Template: mediawiki/upgrade-1d5-adminpass
Type: password
Default: 
_Description: Administrative password for MediaWiki 1.5:
 Please specify the password of the MySQL account with administrative
 access to the MediaWiki 1.5 database.

Template: mediawiki/configuration-fixed
Type: note
_Description: Configuration files fixed
 A previous bug in the package enforced configuration files to be
 stored in /var/lib/mediawiki1.7.
 .
 These files have been moved back to /etc/mediawiki1.7 and a backup 
 was also made in that directory.
--- ../mediawiki1.7.old/debian/templates	2007-03-27 07:41:11.423155030 +0200
+++ debian/templates	2007-03-27 07:51:49.547938374 +0200
@@ -2,48 +2,50 @@
 Type: multiselect
 Choices: apache, apache-ssl, apache2, cherokee
 Default: apache2
-_Description: Web server(s) that should be configured automatically:
+_Description: Web server(s) to configure automatically:
+ Please choose the web server(s) that should be configured
+ automatically for MediaWiki.
 
 Template: mediawiki/upgrade-1d5
 Type: boolean
 Default: true
-_Description: Perform automatic upgrade from mediawiki1.5?
- You are upgrading from mediawiki1.5.
+_Description: Perform automatic upgrade from MediaWiki 1.5?
+ MediaWiki will be upgraded from the 1.5 version.
  .
- This package will install its files in a new location:
-  /var/lib/mediawiki1.7
- Then you need to upgrade your old mediawiki1.5.
+ The new package version uses /var/lib/mediawiki1.7 for the wiki
+ database location.  The old database files need to be moved before
+ performing the upgrade.
  .
- This package provides a script to do this automatically.
- The script will make a backup of your database, upgrade it, and
- prepare a new configuration file for your new mediawiki. You
- will still be able to use this script later, by calling, as root,
- /usr/share/mediawiki1.7/debian-scripts/upgrade-mediawiki1.5
+ This operation can be done automatically: the database wille be
+ backed up, upgraded, and a new configuration file will be prepared
+ for the new wiki. This script can be launched now. Alternatively, you
+ can use it later by launching, as root,
+ /usr/share/mediawiki1.7/debian-scripts/upgrade-mediawiki1.5.
 
 Template: mediawiki/upgrade-1d5-adminuser
 Type: string
 Default: root
-_Description: Administrative user for mediawiki1.7:
- Please provide a mysql account that has administrative access to your old
- mediawiki1.5 database.
+_Description: Database user for MediaWiki 1.7:
+ Please provide a MySQL account that has administrative access to the old
+ MediaWiki 1.5 database.
  .
- If you don't know any account, the root user is sufficient.
+ When in doubt, the MySQL root account can be used.
  .
- An AdminSettings.php file will be generated, and this file will
- be removed if you gave the root account, obviously.
+ An AdminSettings.php file will be generated unless the root account is
+ specified.
 
 Template: mediawiki/upgrade-1d5-adminpass
 Type: password
 Default: 
-_Description: Administrative password for mediawiki1.7:
- Please give the password for the account you specified.
+_Description: Administrative password for MediaWiki 1.5:
+ Please specify the password of the MySQL account with administrative
+ access to the MediaWiki 1.5 database.
 
 Template: mediawiki/configuration-fixed
 Type: note
 _Description: Configuration files fixed
- There was a bug in previous packages that forced configuration files
- to be located in /var/lib/mediawiki1.7.
+ A previous bug in the package enforced configuration files to be
+ stored in /var/lib/mediawiki1.7.
  .
- This is now solved, and your configuration files can now be found at
- /etc/mediawiki1.7. A backup has been made in case this failed, located
- in /etc/mediawiki1.7 too.
+ These files have been moved back to /etc/mediawiki1.7 and a backup 
+ was also made in that directory.
Source: mediawiki1.7
Section: web
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>, Romain Beauxis <toots@rastageeks.org>, Arnaud Cornet <arnaud.cornet@gmail.com>
Build-Depends: debhelper (>= 4.2.0), quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
Standards-Version: 3.7.2

Package: mediawiki1.7
Architecture: all
Pre-depends: debconf (>= 0.2.26) | debconf-2.0
Depends: apache2 | httpd, php5, php5-mysql, php5-cli, debconf (>= 0.2.26) | debconf-2.0, mime-support
Recommends: mysql-server
Suggests: php5-gd | imagemagick, mediawiki1.7-math, memcached, clamav
Description: website engine for collaborative work
 MediaWiki is a particular wiki engine (a program to easily
 create a website which can be edited in a collaborative
 maner). It is designed to handle heavy websites containing
 library-like documents : users can upload images/sounds,
 multilingual support, TOC autogen, ISBN links, ...
 Moreover, it keeps track of changes, so you can view diffs,
 revert, and receive notifies. This system has many other
 features and can easily be extended.
 .
 MediaWiki is the underlying wiki engine used by the famous
 WikiPedia site (http://www.wikipedia.org/).
 .
  Homepage: http://www.mediawiki.org/

Package: mediawiki1.7-math
Architecture: any
Depends: ${interpreter:Depends}, mediawiki1.7, tetex-bin | texlive-latex-base, gs-gpl | gs-esp, imagemagick
Replaces: mediawiki-math, mediawiki1.5-math
Recommends: latex-cjk-all, tetex-extra
Description: math rendering plugin for MediaWiki
 MediaWiki is a particular wiki engine (a program to easily
 create a website which can be edited in a collaborative
 maner). It is designed to handle heavy websites containing
 library-like documents : users can upload images/sounds,
 multilingual support, TOC autogen, ISBN links, ...
 Moreover, it keeps track of changes, so you can view diffs,
 revert, and receive notifies. This system has many other
 features and can easily be extended.
 .
 MediaWiki is the underlying wiki engine used by the famous
 WikiPedia site (http://www.wikipedia.org/).
 .
 This package contains the math rendering plugin.
 .
  Homepage: http://www.mediawiki.org/

Attachment: signature.asc
Description: Digital signature


Reply to: